curl -X POST https://api.ordexs.com/v1/stock_counts/cnt_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/discard \
-H "Authorization: Bearer $ORDEXS_API_KEY" \
-H "Idempotency-Key: 3f9c1e2a-7b4d-4c8e-9a1f-5d6e7f8a9b0c"
const res = await fetch('https://api.ordexs.com/v1/stock_counts/cnt_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/discard', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.ORDEXS_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
},
})
const data = await res.json()
if (!res.ok) throw new Error(`${data.error.code}: ${data.error.message}`)
<?php
$ch = curl_init('https://api.ordexs.com/v1/stock_counts/cnt_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/discard');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('ORDEXS_API_KEY'),
'Idempotency-Key: ' . bin2hex(random_bytes(16)),
],
]);
$data = json_decode(curl_exec($ch), true);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
import os, uuid
import requests
res = requests.post(
"https://api.ordexs.com/v1/stock_counts/cnt_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/discard",
headers={"Authorization": f"Bearer {os.environ['ORDEXS_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
timeout=30,
)
data = res.json()
if not res.ok:
raise RuntimeError(f"{data['error']['code']}: {data['error']['message']}")
{
"id": "cnt_1b2c3d4e5f6a47b8c9d0e1f2a3b4c5d6",
"object": "stock_count",
"name": "Shelf A, October",
"status": "open",
"note": null,
"lines_total": 2,
"lines_counted": 1,
"created_at": "2026-10-12T09:00:00Z",
"applied_at": null,
"livemode": true,
"lines": [
{
"variant_id": "var_2f0e1d3c4b5a49688776655443322110",
"product_title": "Linen shirt",
"variant_title": "M",
"sku": "LIN-M",
"barcode": null,
"expected": 12,
"counted": 11,
"current": 12,
"variance": -1
},
{
"variant_id": "var_3a0e1d3c4b5a49688776655443322111",
"product_title": "Linen shirt",
"variant_title": "L",
"sku": "LIN-L",
"barcode": null,
"expected": 6,
"counted": null,
"current": 6,
"variance": null
}
],
"lines_has_more": false
}
{
"error": {
"code": "insufficient_scope",
"message": "This API key does not have the \"orders:write\" permission. Edit the key's permissions under Settings → Developers, or use a key that has it.",
"details": {
"required_scope": "orders:write"
},
"request_id": "req_7f3a9c2e41b84d0c9a1e5f6b"
}
}